Bug 1262973 - Order service form shows <Script error> in the Tenant dropdown
Order service form shows <Script error> in the Tenant dropdown
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Provisioning (Show other bugs)
5.4.0
Unspecified Unspecified
high Severity high
: GA
: 5.5.0
Assigned To: Bill Wei
Pete Savage
:
Depends On: 1275405
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-14 15:20 EDT by Bill Wei
Modified: 2015-12-08 08:30 EST (History)
3 users (show)

See Also:
Fixed In Version: 5.5.0.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:30:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dajohnso: automate_bug?


Attachments (Terms of Use)

  None (edit)
Description Bill Wei 2015-09-14 15:20:59 EDT
Description of problem:
This issue was originally reported in https://github.com/ManageIQ/manageiq/issues/4288

To reproduce you can either remove Cloud/Orchestration/Operations/Methods from Datastore, or use the dialog for ordering non orchestration service.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Bill Wei 2015-09-14 15:28:14 EDT
PR https://github.com/ManageIQ/manageiq/pull/4342
Comment 3 CFME Bot 2015-09-14 16:50:50 EDT
New commit detected on ManageIQ/manageiq-appliance-build/master:
https://github.com/ManageIQ/manageiq-appliance-build/commit/16f3ef2c451edd2c18834bb49a9f43fef60665c3

commit 16f3ef2c451edd2c18834bb49a9f43fef60665c3
Author:     Bill Wei <bilwei@redhat.com>
AuthorDate: Mon Sep 14 15:24:34 2015 -0400
Commit:     Bill Wei <bilwei@redhat.com>
CommitDate: Mon Sep 14 16:45:15 2015 -0400

    Fixes #4288: Prevent Available_Tenants script to throw errors
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1262973
    https://github.com/ManageIQ/manageiq/issues/4288

 .../Operations/Methods.class/__methods__/available_tenants.rb           | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 4 CFME Bot 2015-09-17 16:33:40 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/f208f6d2de70669af2faee484fc56367b8b638c0

commit f208f6d2de70669af2faee484fc56367b8b638c0
Author:     Bill Wei <bilwei@redhat.com>
AuthorDate: Mon Sep 14 15:24:34 2015 -0400
Commit:     Bill Wei <bilwei@redhat.com>
CommitDate: Thu Sep 17 14:52:55 2015 -0400

    Prevent Available_Tenants script to throw errors
    
    Check orchestration_manager is valid.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1262973
    Fixes #4288

 .../Methods.class/__methods__/available_tenants.rb |  2 +-
 .../method_validation/available_tenants_spec.rb    | 53 ++++++++++++++++++++++
 2 files changed, 54 insertions(+), 1 deletion(-)
 create mode 100644 spec/automation/unit/method_validation/available_tenants_spec.rb
Comment 6 Pete Savage 2015-10-26 16:06:07 EDT
How do I go about creating the dialog that is displayed in the GitHub PR 4288? I'm not seeing the details on how to create the tenant dropdown. I tried but I couldn't seem to create any dynamic dialog.
Comment 7 Bill Wei 2015-10-26 16:17:55 EDT
The dialog is tool generated. Go to Services/Catalogs/Orchestration Templates, select an existing CloudFormation or Heat template. From the Configuration dropdown, select Create Service Dialog from Orchestration Template.

If you are using the latest build, you may be blocked by another issue

https://bugzilla.redhat.com/show_bug.cgi?id=1275405
Comment 8 Pete Savage 2015-10-26 17:54:13 EDT
Yup blocked by it.....
Comment 9 Pete Savage 2015-11-20 08:09:25 EST
Verified in 5.5.0.11
Comment 11 errata-xmlrpc 2015-12-08 08:30:17 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.